=== debian/changelog ===
cppo (0.9.0-2) unstable; urgency=low

  * Team upload
  * Rebuild with OCaml 3.12.0 (no changes)

 -- Stéphane Glondu <glondu@debian.org>  Mon, 18 Apr 2011 09:00:19 +0200

cppo (0.9.0-1) unstable; urgency=low

  * Initial release. (Closes: #605677)

 -- Sylvain Le Gall <gildor@debian.org>  Sat, 04 Dec 2010 23:03:03 +0100
