=== debian/control ===
Source: cppo
Section: ocaml
Priority: optional
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders:
  Sylvain Le Gall <gildor@debian.org>
Build-Depends:
  ocaml-nox (>= 3.11.1-3~),
  ocaml-findlib,
  dh-ocaml (>= 0.9~),
  debhelper (>= 7.0.50~)
Standards-Version: 3.9.1
Homepage: http://martin.jambon.free.fr/cppo.html
Vcs-Git: git://git.debian.org/git/pkg-ocaml-maint/packages/cppo.git
Vcs-Browser: http://git.debian.org/?p=pkg-ocaml-maint/packages/cppo.git

Package: cppo
Architecture: all
Depends: ${ocaml:Depends}, ${misc:Depends}
Description: cpp for OCaml 
 Cppo is an OCaml-friendly implementation of cpp, the C preprocessor.
 It can replace camlp4 for preprocessing OCaml files, using cpp style and
 syntax. It allows defining simple macros and file inclusion.
