=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DESTDIR=$(CURDIR)/debian/cppo

include /usr/share/ocaml/ocamlvars.mk

%:
	dh --with ocaml $@

.PHONY: override_dh_auto_build
override_dh_auto_build:
	$(MAKE) all

.PHONY: override_dh_auto_install
override_dh_auto_install:
	make install 'BINDIR=$(DESTDIR)/usr/bin'

.PHONY: override_dh_auto_clean
override_dh_auto_clean:
	$(MAKE) clean

debian/cppo.1: debian/cppo.mkd
	  pandoc -s -w man $^ -o $@
