## cppo 0.9.2

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-VERSION = 0.9.0
+VERSION = 0.9.2
 
 ifndef OCAMLYACC
   OCAMLYACC = ocamlyacc
@@ -16,21 +16,21 @@
 endif
 export BINDIR
 
-.PHONY: default all opt install clean
+.PHONY: default all opt install clean test
 
 default: opt
 
-# ML = cppo_types.ml cppo_parser.mli cppo_parser.ml cppo.ml
 ML = cppo_version.ml cppo_types.ml \
      cppo_parser.mli cppo_parser.ml \
      cppo_lexer.ml \
+     cppo_command.ml \
      cppo_eval.ml cppo_main.ml
 
 all: $(ML)
-	ocamlc -o cppo -dtypes $(ML)
+	ocamlc -o cppo -dtypes unix.cma $(ML)
 
 opt: $(ML)
-	ocamlopt -o cppo -dtypes $(ML)
+	ocamlopt -o cppo -dtypes unix.cmxa $(ML)
 
 install:
 	install -m 0755 cppo $(BINDIR) || \
@@ -52,13 +52,17 @@
 	$(OCAMLYACC) cppo_parser.mly
 endif
 
+test:
+	cd testdata; $(MAKE)
+
 clean:
 	rm -f *.cm[iox] *.o *.annot *.conflicts *.automaton \
 		cppo \
 		cppo_parser.mli cppo_parser.ml cppo_lexer.ml cppo_version.ml
+	cd examples; $(MAKE) clean
 
 SUBDIRS = testdata examples
-SVNURL = svn://svn.forge.ocamlcore.org/svnroot/cppo/trunk/cppo
+SVNURL = svn+ssh://mjambon@svn.forge.ocamlcore.org/svnroot/cppo/trunk/cppo
 
 archive:
 	@echo "Making archive for version $(VERSION)"
@@ -92,6 +96,7 @@
 		svn add cppo.tar.gz cppo.tar.bz2 \
 			cppo-$(VERSION).tar.gz cppo-$(VERSION).tar.bz2 && \
 		svn commit -m "cppo version $(VERSION)"
+	cp README $$WWW/cppo-manual-$(VERSION).txt
 	cp LICENSE $$WWW/cppo-license.txt
 	cp Changes $$WWW/cppo-changes.txt
 	echo 'let cppo_version = "$(VERSION)"' \
