=== debian/rules ===
--- 
+++ 
@@ -9,7 +9,7 @@
 include /usr/share/ocaml/ocamlvars.mk
 
 %:
-	dh --with ocaml $@
+	dh $@ --with ocaml
 
 .PHONY: override_dh_auto_build
 override_dh_auto_build:
