=== debian/watch ===
version=3
http://martin.jambon.free.fr/cppo.html cppo-([\d\.]*)\.tar\.gz
