=== debian/changelog ===
cppo (0.9.3-3) unstable; urgency=low

  * Team upload
  * Upload to unstable

 -- Stéphane Glondu <glondu@debian.org>  Tue, 03 Dec 2013 08:08:21 +0100

cppo (0.9.3-2) experimental; urgency=low

  * Team upload
  * Compile with OCaml >= 4

 -- Stéphane Glondu <glondu@debian.org>  Thu, 25 Jul 2013 08:54:16 +0200

cppo (0.9.3-1) unstable; urgency=low

  [ Sylvain Le Gall]
  * Remove Sylvain Le Gall from uploaders

  [ Hendrik Tews ]
  * update watch file (thanks to Bart Martens)
  * bump standards version and debhelper compat level
  * update homepage
  * update Vcs fields
  * change to architecture any (Closes: 664200)
  * update dependencies
  * fix copyright
  * add myself as uploader
  * update man page

 -- Hendrik Tews <hendrik@askra.de>  Sun, 02 Jun 2013 23:12:27 +0200
