=== debian/control ===
Source: cppo
Section: ocaml
Priority: optional
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders: Hendrik Tews <hendrik@askra.de>
Build-Depends:
  ocaml-nox (>= 4),
  ocaml-findlib (>= 1.4),
  dh-ocaml (>= 0.9~),
  debhelper (>= 9)
Standards-Version: 3.9.4
Homepage: http://mjambon.com/cppo.html
Vcs-Git: git://anonscm.debian.org/pkg-ocaml-maint/packages/cppo.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-ocaml-maint/packages/cppo.git

Package: cppo
Architecture: any
Depends:
 ${ocaml:Depends}, 
 ${shlibs:Depends},
 ${misc:Depends}
Description: cpp for OCaml
 Cppo is an OCaml-friendly implementation of cpp, the C preprocessor.
 It can replace camlp4 for preprocessing OCaml files, using cpp style and
 syntax. It allows defining simple macros and file inclusion.
