=== debian/watch ===
version=3
http://mjambon.com/releases/cppo/cppo-(\d.*)\.(?:tgz|tar\.(?:gz|bz2|xz))
