=== debian/changelog ===
cppo (1.1.2-2build1) xenial; urgency=medium

  * No-change rebuild against ocaml 4.02.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@canonical.com>  Mon, 02 Nov 2015 17:18:55 -0600

cppo (1.1.2-2) unstable; urgency=medium

  * Team upload
  * Fix compilation on bytecode architectures

 -- Stéphane Glondu <glondu@debian.org>  Thu, 03 Sep 2015 17:35:12 +0200

cppo (1.1.2-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Bump Standards-Version to 3.9.6

 -- Stéphane Glondu <glondu@debian.org>  Thu, 03 Sep 2015 14:34:44 +0200
