=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
   ocaml-findlib (>= 1.4),
   dh-ocaml (>= 0.9~),
   debhelper (>= 9)
-Standards-Version: 3.9.4
+Standards-Version: 3.9.6
 Homepage: http://mjambon.com/cppo.html
 Vcs-Git: git://anonscm.debian.org/pkg-ocaml-maint/packages/cppo.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-ocaml-maint/packages/cppo.git
