=== debian/changelog ===
cppo (1.3.1-2) unstable; urgency=medium

  * Team upload
  * Install native libraries where available (Closes: #813885)

 -- Hilko Bengen <bengen@debian.org>  Fri, 12 Feb 2016 00:34:00 +0100

cppo (1.3.1-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Update Vcs-*

 -- Stéphane Glondu <glondu@debian.org>  Tue, 26 Jan 2016 15:54:38 +0100
