=== debian/control ===
--- 
+++ 
@@ -10,8 +10,8 @@
   debhelper (>= 9)
 Standards-Version: 3.9.6
 Homepage: http://mjambon.com/cppo.html
-Vcs-Git: git://anonscm.debian.org/pkg-ocaml-maint/packages/cppo.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-ocaml-maint/packages/cppo.git
+Vcs-Git: https://anonscm.debian.org/git/git/pkg-ocaml-maint/packages/cppo.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-ocaml-maint/packages/cppo.git
 
 Package: cppo
 Architecture: any
