=== debian/changelog ===
cppo (1.3.2-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Bump Standards-Version to 3.9.8
  * Fix Vcs-Git

 -- Stéphane Glondu <glondu@debian.org>  Wed, 01 Jun 2016 11:35:07 +0200
