=== debian/control ===
--- 
+++ 
@@ -8,9 +8,9 @@
   ocaml-findlib (>= 1.4),
   dh-ocaml (>= 0.9~),
   debhelper (>= 9)
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: http://mjambon.com/cppo.html
-Vcs-Git: https://anonscm.debian.org/git/git/pkg-ocaml-maint/packages/cppo.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-ocaml-maint/packages/cppo.git
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-ocaml-maint/packages/cppo.git
 
 Package: cppo
