=== debian/changelog ===
cppo (1.5.0-2build2) bionic; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 28 Oct 2017 15:13:44 +0200

cppo (1.5.0-2build1) bionic; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 27 Oct 2017 21:56:01 +0200

cppo (1.5.0-2) unstable; urgency=medium

  * Team upload
  * Fix FTBFS on bytecode architectures

 -- Stéphane Glondu <glondu@debian.org>  Wed, 19 Jul 2017 09:30:38 +0200

cppo (1.5.0-1) unstable; urgency=medium

  [ Stéphane Glondu ]
  * Team upload
  * New upstream release
  * Add ocamlbuild to Build-Depends

  [ Hendrik Tews ]
  * use githup page as homepage

 -- Stéphane Glondu <glondu@debian.org>  Fri, 14 Jul 2017 14:02:40 +0200
