=== debian/control ===
--- 
+++ 
@@ -7,9 +7,10 @@
   ocaml-nox (>= 4),
   ocaml-findlib (>= 1.4),
   dh-ocaml (>= 0.9~),
+  ocamlbuild,
   debhelper (>= 9)
 Standards-Version: 3.9.8
-Homepage: http://mjambon.com/cppo.html
+Homepage: https://github.com/mjambon/cppo
 Vcs-Git: https://anonscm.debian.org/git/pkg-ocaml-maint/packages/cppo.git
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-ocaml-maint/packages/cppo.git
