=== debian/rules ===
--- 
+++ 
@@ -9,17 +9,21 @@
 
 include /usr/share/ocaml/ocamlvars.mk
 
+export OCAMLFIND_DESTDIR=$(DESTDIR)/$(OCAML_STDLIB_DIR)
+export OCAMLFIND_LDCONF=ignore
+
 %:
 	dh $@ --with ocaml
 
 .PHONY: override_dh_auto_build
 override_dh_auto_build:
 ifeq ($(OCAML_HAVE_OCAMLOPT),yes)
-	$(MAKE) opt
+	$(MAKE) opt ocamlbuild
 else
-	$(MAKE) all
-endif 
+	$(MAKE) all ocamlbuild
+endif
 
 .PHONY: override_dh_auto_install
 override_dh_auto_install:
+	mkdir -p $(OCAMLFIND_DESTDIR)
 	make install 'BINDIR=$(DESTDIR)/usr/bin'
