## cppo 1.6.4

=== debian/changelog ===
cppo (1.6.4-3) unstable; urgency=medium

  * Stop relying on opam during build to avoid a build-dep loop

 -- Mehdi Dogguy <mehdi@debian.org>  Tue, 16 Oct 2018 08:52:55 +0200

cppo (1.6.4-2) unstable; urgency=medium

  * Team upload.
  * Fix issue on arm{el,hf} and ppc64el (Closes: #907431)
    - add patch 0001-Fix-typo-in-cppo-s-parser.patch from upstream

 -- Mehdi Dogguy <mehdi@debian.org>  Fri, 14 Sep 2018 07:26:53 +0200

cppo (1.6.4-1) unstable; urgency=medium

  * Team upload.
  * New upstream release (2018-02-26)
    * Provides distinct cppo and cppo_ocamlbuild packages
      This is a breaking change.
    * Provides compatibility with OCaml 4.07
    * Remove obsolete Debian patches
    * Use the jbuilder build system.
      The dependency on `opam` is due to opam-installer

  * Move the packaging repository to salsa.debian.org
  * debian/copyright: Update Source URI
  * Bump Standards-Version to 4.1.5
    + debian/copyright: Use an HTTPS Format URI
  * Switch to debhelper 11
  * Detect files that failed to install with dh_missing

 -- Nicolas Braud-Santoni <nicolas@braud-santoni.eu>  Sat, 04 Aug 2018 17:00:20 +0800
