=== debian/control ===
--- 
+++ 
@@ -7,17 +7,18 @@
   ocaml-nox (>= 4),
   ocaml-findlib (>= 1.4),
   dh-ocaml (>= 0.9~),
-  ocamlbuild,
-  debhelper (>= 9)
-Standards-Version: 3.9.8
+  debhelper (>= 11),
+  jbuilder,
+  ocamlbuild
+Standards-Version: 4.1.5
 Homepage: https://github.com/mjambon/cppo
-Vcs-Git: https://anonscm.debian.org/git/pkg-ocaml-maint/packages/cppo.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-ocaml-maint/packages/cppo.git
+Vcs-Git: https://salsa.debian.org/ocaml-team/cppo.git
+Vcs-Browser: https://salsa.debian.org/ocaml-team/cppo
 
 Package: cppo
 Architecture: any
 Depends:
- ${ocaml:Depends}, 
+ ${ocaml:Depends},
  ${shlibs:Depends},
  ${misc:Depends}
 Description: cpp for OCaml
