=== debian/watch ===
version=3
https://github.com/mjambon/cppo/tags .*/v(.*)\.tar\.gz
