## cppo 1.6.6

=== debian/changelog ===
cppo (1.6.6-1build1) focal; urgency=medium

  * No-change rebuild against ocaml-nox-4.08.1

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 21 Feb 2020 07:43:17 +0000

cppo (1.6.6-1) unstable; urgency=medium

  [ Stéphane Glondu ]
  * Team upload
  * New upstream release
  * Remove Hendrik from Uploaders
  * Bump Standards-Version to 4.4.0
  * Bump debhelper compat level to 12

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 21 Feb 2020 07:43:14 +0000
