=== debian/control ===
--- 
+++ 
@@ -1,16 +1,16 @@
 Source: cppo
 Section: ocaml
 Priority: optional
-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
-Uploaders: Hendrik Tews <hendrik@askra.de>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Build-Depends:
   ocaml-nox (>= 4),
   ocaml-findlib (>= 1.4),
   dh-ocaml (>= 0.9~),
-  debhelper (>= 11),
-  jbuilder,
+  debhelper (>= 12),
+  dune,
   ocamlbuild
-Standards-Version: 4.1.5
+Standards-Version: 4.4.0
 Homepage: https://github.com/mjambon/cppo
 Vcs-Git: https://salsa.debian.org/ocaml-team/cppo.git
 Vcs-Browser: https://salsa.debian.org/ocaml-team/cppo
