## cppo 1.6.8

=== debian/changelog ===
cppo (1.6.8-1build1) jammy; urgency=medium

  * No-change rebuild for ocaml abi changes.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 24 Jan 2022 17:22:35 +0100

cppo (1.6.8-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Bump Standards-Version to 4.6.0
  * Update debian/watch and Homepage

 -- Stéphane Glondu <glondu@debian.org>  Sun, 28 Nov 2021 10:57:16 +0100

cppo (1.6.6-2) unstable; urgency=medium

  [ Stéphane Glondu ]
  * Team upload
  * Build-depend on ocaml-dune
  * Bump debhelper compat level to 13
  * Add Rules-Requires-Root: no

  [ Debian Janitor ]
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Update standards version to 4.5.0, no changes needed.

 -- Stéphane Glondu <glondu@debian.org>  Mon, 28 Sep 2020 11:31:49 +0200
