=== debian/control ===
--- 
+++ 
@@ -1,17 +1,17 @@
 Source: cppo
 Section: ocaml
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
+Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Build-Depends:
   ocaml-nox (>= 4),
   ocaml-findlib (>= 1.4),
-  dh-ocaml (>= 0.9~),
-  debhelper (>= 12),
-  dune,
+  dh-ocaml,
+  debhelper-compat (= 13),
+  ocaml-dune,
   ocamlbuild
-Standards-Version: 4.4.0
-Homepage: https://github.com/mjambon/cppo
+Standards-Version: 4.6.0
+Rules-Requires-Root: no
+Homepage: https://github.com/ocaml-community/cppo
 Vcs-Git: https://salsa.debian.org/ocaml-team/cppo.git
 Vcs-Browser: https://salsa.debian.org/ocaml-team/cppo
