=== debian/changelog ===
cppo (1.6.9-3build1) noble; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 02 Nov 2023 23:07:41 +0100

cppo (1.6.9-3) unstable; urgency=medium

  * Team upload
  * Use ocaml_dune DH buildsystem
  * Bump Standards-Version to 4.6.2

 -- Stéphane Glondu <glondu@debian.org>  Mon, 07 Aug 2023 08:24:34 +0200

cppo (1.6.9-2) unstable; urgency=medium

  * Team upload
  * Fix build with recent dune (Closes: #1041000)

 -- Stéphane Glondu <glondu@debian.org>  Fri, 14 Jul 2023 09:31:50 +0200

cppo (1.6.9-1) unstable; urgency=medium

  * Team upload
  * New upstream release

 -- Stéphane Glondu <glondu@debian.org>  Fri, 20 Jan 2023 12:46:49 +0100
