=== debian/control ===
--- 
+++ 
@@ -3,13 +3,13 @@
 Priority: optional
 Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Build-Depends:
-  ocaml-nox (>= 4),
+  ocaml (>= 4),
   ocaml-findlib (>= 1.4),
-  dh-ocaml,
+  dh-ocaml (>= 1.2.2),
   debhelper-compat (= 13),
   ocaml-dune,
   ocamlbuild
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://github.com/ocaml-community/cppo
 Vcs-Git: https://salsa.debian.org/ocaml-team/cppo.git
