=== debian/watch ===
version=4
https://github.com/ocaml-community/cppo/tags .*/v(.*)\.tar\.gz
