=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
   debhelper-compat (= 13),
   ocaml-dune,
   ocamlbuild
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://github.com/ocaml-community/cppo
 Vcs-Git: https://salsa.debian.org/ocaml-team/cppo.git
